Publish for IOS7 and IOS6

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Publish for IOS7 and IOS6

Alejandro Vazquez
Hi,

I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?

I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.

Thanks a lot,

Alejandro

_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

bobreck
Alejandro,

Have you tried running it on the iOS 6 simulator? Everything should work fine unless you've used some iOS 7 specific code. If you've done that, just add some code to check the version and run them only for 7.

Bob

Sent from my iPhone

On Sep 22, 2013, at 4:02 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]>> wrote:

Hi,

I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?

I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.

Thanks a lot,

Alejandro
_______________________________________________
MonoTouch mailing list
[hidden email]<mailto:[hidden email]>
http://lists.ximian.com/mailman/listinfo/monotouch
_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

georgepiva
In reply to this post by Alejandro Vazquez
The next link may help.

iOS 7 Design Resources > iOS 7 UI Transition Guide > Preparing for Transition > Supporting iOS 6

On Sep 22, 2013, at 5:02 PM, Alejandro Vazquez <[hidden email]> wrote:

Hi,

I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?

I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.

Thanks a lot,

Alejandro
_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch


_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch

smime.p7s (6K) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

Alejandro Vazquez
In reply to this post by bobreck
Thanks Bob,

Interesting but Deployment Target Version 6.0 is not there anymore, I just have from version 3.0 to 5.0 and then jump to 7.0... how can I get version 6.0 again :) 

Thanks a lot Bog



From: Robert Reck <[hidden email]>
To: Alejandro Vazquez <[hidden email]>
Cc: "[hidden email]" <[hidden email]>
Sent: Sunday, September 22, 2013 3:05 PM
Subject: Re: [MonoTouch] Publish for IOS7 and IOS6

Alejandro,

Have you tried running it on the iOS 6 simulator? Everything should work fine unless you've used some iOS 7 specific code. If you've done that, just add some code to check the version and run them only for 7.

Bob

Sent from my iPhone

On Sep 22, 2013, at 4:02 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]>> wrote:

Hi,

I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?

I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.

Thanks a lot,

Alejandro
_______________________________________________
MonoTouch mailing list
[hidden email]<mailto:[hidden email]>
http://lists.ximian.com/mailman/listinfo/monotouch



_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

bobreck
You probably have to reinstall the 6.0 simulator. Go into Xcode and then into preferences > downloads. If 6.0 and 6.1 are there, you can download them and them you can run those in the simulator.

Bob

Sent from my iPhone

On Sep 22, 2013, at 4:19 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]>> wrote:

Thanks Bob,

Interesting but Deployment Target Version 6.0 is not there anymore, I just have from version 3.0 to 5.0 and then jump to 7.0... how can I get version 6.0 again :)

Thanks a lot Bog


________________________________
From: Robert Reck <[hidden email]<mailto:[hidden email]>>
To: Alejandro Vazquez <[hidden email]<mailto:[hidden email]>>
Cc: "[hidden email]<mailto:[hidden email]>" <[hidden email]<mailto:[hidden email]>>
Sent: Sunday, September 22, 2013 3:05 PM
Subject: Re: [MonoTouch] Publish for IOS7 and IOS6

Alejandro,

Have you tried running it on the iOS 6 simulator? Everything should work fine unless you've used some iOS 7 specific code. If you've done that, just add some code to check the version and run them only for 7.

Bob

Sent from my iPhone

On Sep 22, 2013, at 4:02 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>> wrote:

Hi,

I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?

I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.

Thanks a lot,

Alejandro
_______________________________________________
MonoTouch mailing list
[hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>
http://lists.ximian.com/mailman/listinfo/monotouch


_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

spcware
Unfortunately, that only gets you the simulator sdk, not the device sdk. To get the device sdk, you must copy it from inside the previous Xcode app to inside your new Xcode 5 app.

Sent from my iPad

> On Sep 22, 2013, at 3:39 PM, Robert Reck <[hidden email]> wrote:
>
> You probably have to reinstall the 6.0 simulator. Go into Xcode and then into preferences > downloads. If 6.0 and 6.1 are there, you can download them and them you can run those in the simulator.
>
> Bob
>
> Sent from my iPhone
>
> On Sep 22, 2013, at 4:19 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]>> wrote:
>
> Thanks Bob,
>
> Interesting but Deployment Target Version 6.0 is not there anymore, I just have from version 3.0 to 5.0 and then jump to 7.0... how can I get version 6.0 again :)
>
> Thanks a lot Bog
>
>
> ________________________________
> From: Robert Reck <[hidden email]<mailto:[hidden email]>>
> To: Alejandro Vazquez <[hidden email]<mailto:[hidden email]>>
> Cc: "[hidden email]<mailto:[hidden email]>" <[hidden email]<mailto:[hidden email]>>
> Sent: Sunday, September 22, 2013 3:05 PM
> Subject: Re: [MonoTouch] Publish for IOS7 and IOS6
>
> Alejandro,
>
> Have you tried running it on the iOS 6 simulator? Everything should work fine unless you've used some iOS 7 specific code. If you've done that, just add some code to check the version and run them only for 7.
>
> Bob
>
> Sent from my iPhone
>
> On Sep 22, 2013, at 4:02 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>> wrote:
>
> Hi,
>
> I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?
>
> I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.
>
> Thanks a lot,
>
> Alejandro
> _______________________________________________
> MonoTouch mailing list
> [hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>
> http://lists.ximian.com/mailman/listinfo/monotouch
>
>
> _______________________________________________
> MonoTouch mailing list
> [hidden email]
> http://lists.ximian.com/mailman/listinfo/monotouch
_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Publish for IOS7 and IOS6

Rolf Bjarne Kvinge
Hi,

You can write in your own Deployment Target, you're not limited to the values in the list.

Rolf


On Sun, Sep 22, 2013 at 11:56 PM, Shawn Castrianni <[hidden email]> wrote:
Unfortunately, that only gets you the simulator sdk, not the device sdk. To get the device sdk, you must copy it from inside the previous Xcode app to inside your new Xcode 5 app.

Sent from my iPad

> On Sep 22, 2013, at 3:39 PM, Robert Reck <[hidden email]> wrote:
>
> You probably have to reinstall the 6.0 simulator. Go into Xcode and then into preferences > downloads. If 6.0 and 6.1 are there, you can download them and them you can run those in the simulator.
>
> Bob
>
> Sent from my iPhone
>
> On Sep 22, 2013, at 4:19 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]>> wrote:
>
> Thanks Bob,
>
> Interesting but Deployment Target Version 6.0 is not there anymore, I just have from version 3.0 to 5.0 and then jump to 7.0... how can I get version 6.0 again :)
>
> Thanks a lot Bog
>
>
> ________________________________
> From: Robert Reck <[hidden email]<mailto:[hidden email]>>
> To: Alejandro Vazquez <[hidden email]<mailto:[hidden email]>>
> Cc: "[hidden email]<mailto:[hidden email]>" <[hidden email]<mailto:[hidden email]>>
> Sent: Sunday, September 22, 2013 3:05 PM
> Subject: Re: [MonoTouch] Publish for IOS7 and IOS6
>
> Alejandro,
>
> Have you tried running it on the iOS 6 simulator? Everything should work fine unless you've used some iOS 7 specific code. If you've done that, just add some code to check the version and run them only for 7.
>
> Bob
>
> Sent from my iPhone
>
> On Sep 22, 2013, at 4:02 PM, "Alejandro Vazquez" <[hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>> wrote:
>
> Hi,
>
> I have built my using "deployment target" to version 7.0 and its working great with IOS7 style. Now I would like to know how can I publish my app in order to keep IOS6 as a compatible version?
>
> I have seen in the app store apps saying that are IOS7 compatible but also IOS6, and 5.
>
> Thanks a lot,
>
> Alejandro
> _______________________________________________
> MonoTouch mailing list
> [hidden email]<mailto:[hidden email]><mailto:[hidden email]<mailto:[hidden email]>>
> http://lists.ximian.com/mailman/listinfo/monotouch
>
>
> _______________________________________________
> MonoTouch mailing list
> [hidden email]
> http://lists.ximian.com/mailman/listinfo/monotouch
_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch


_______________________________________________
MonoTouch mailing list
[hidden email]
http://lists.ximian.com/mailman/listinfo/monotouch
Loading...